Bug 852316 - CLI: wrong query error is shown for "system tasks" command
CLI: wrong query error is shown for "system tasks" command
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 03:37 EDT by Hayk Hovsepyan
Modified: 2014-01-27 09:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An incorrect query that fetched the list of system tasks stopped users from being able to view tasks associated with a system. This fix changes the query code to fetch correct data and users can now view tasks correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-08-28 03:37:17 EDT
Description of problem:
Try to view the list of tasks executed for system by CLI:
"system tasks --name $sysname --org ACME_Corporation --environment dev"
It shows error that query in DB is not correct.
In query it uses "system" instead of "systems" in where clause.

Version-Release number of selected component (if applicable):
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-pulp-0.1.318-1.el6cf.noarch
katello-configure-0.1.111-1.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-0.1.112-1.el6cf.noarch
katello-cli-0.1.112-1.el6cf.noarch 
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
pulp-common-1.0.4-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.0.4-1.el6.noarch
candlepin-tomcat6-0.6.5-1.el6_2.noarch
katello-glue-foreman-0.1.318-1.el6cf.noarch
katello-0.1.318-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-0.17-1.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-certs-tools-1.0.7-1.el6_3.noarch
candlepin-0.6.5-1.el6_2.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.0.4-1.el6.noarch
katello-common-0.1.318-1.el6cf.noarch
katello-glue-candlepin-0.1.318-1.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-selinux-0.1.10-1.el6.noarch
grinder-0.0.143-1pulp_1.0.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. Make sure you have created environment and registered a system.
2. Try to list the tasks executed for that system by CLI: "system tasks --name $sysname --org ACME_Corporation --environment dev"
3. You will see the error shown.
  
Actual results:
Error is shown. This happens on CFSE 1.0.1 version (without upgrade) as well.

Expected results:
It should show the list of tasks with status.
Comment 1 Pavel Pokorny 2012-09-03 09:47:22 EDT
Was fixed in ac46f6f
Comment 3 Hayk Hovsepyan 2012-09-18 04:07:36 EDT
Verified on revision:

katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it shows the list of tasks correctly without any error.
Comment 5 errata-xmlrpc 2012-12-04 14:52:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 6 Mike McCune 2013-08-16 14:04:54 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.